Name:          h5utils
Version:       1.13.2
Release:       1mamba
Summary:       A set of utilities for visualization and conversion of scientific data in the free, portable HDF5 format
Group:         Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/NanoComp/h5utils/blob/master/README.md
Source:        https://github.com/NanoComp/h5utils.git/%{version}/h5utils-%{version}.tar.bz2
#Source:        http://ab-initio.mit.edu/h5utils/h5utils-%{version}.tar.gz
Patch0:        h5utils-1.12.1-libpng-1.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libhdf5-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
h5utils is a set of utilities for visualization and conversion of scientific data in the free, portable HDF5 format.
Besides providing a simple tool for batch visualization as PNG images, h5utils also includes programs to convert HDF5 datasets into the formats required by other free visualization software (e.g. plain text, Vis5d, and VTK).

%debug_package

%prep
%setup -q
#%patch0 -p0
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/h5fromtxt
%{_bindir}/h5topng
%{_bindir}/h5totxt
%{_bindir}/h5tovtk
%ifarch %{ix86}
%{_libdir}/octave/*/site/oct/*-openmamba-linux-gnu/h5read.oct
%endif
%dir %{_datadir}/h5utils
%dir %{_datadir}/h5utils/colormaps
%{_datadir}/h5utils/colormaps/*
%{_mandir}/man1/h5fromtxt.1*
%{_mandir}/man1/h5topng.1*
%{_mandir}/man1/h5totxt.1*
%{_mandir}/man1/h5tovtk.1*
%doc AUTHORS COPYING
#%doc ChangeLog NEWS README

%changelog
* Tue Jan 17 2023 Automatic Build System <autodist@mambasoft.it> 1.13.2-1mamba
- automatic version update by autodist

* Tue Nov 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.1-1mamba
- update to 1.13.1

* Sun Dec 03 2017 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Tue Jan 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.1-1mamba
- package created using the webbuild interface
